Bug 972666 - [abrt] exaile-3.3.0-1.fc18: gui_search.py:105:add_to_playlist:AttributeError: 'Playlist' object has no attribute 'add_tracks'
[abrt] exaile-3.3.0-1.fc18: gui_search.py:105:add_to_playlist:AttributeError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:b8de4a10d2fd43bd41ac9274df8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 07:29 EDT by alexeyalexeevich
Modified: 2014-02-05 16:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (972 bytes, text/plain)
2013-06-10 07:29 EDT, alexeyalexeevich
no flags Details
File: environ (1.92 KB, text/plain)
2013-06-10 07:29 EDT, alexeyalexeevich
no flags Details

  None (edit)
Description alexeyalexeevich 2013-06-10 07:29:49 EDT
Version-Release number of selected component:
exaile-3.3.0-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
core_backtrace: e2989b7d43c27f616502fbc5cac2697c64f91da5 0x69 add_to_playlist /home/alexey/.local/share/exaile/plugins/vk_exaile/gui_search.py -
executable:     /usr/share/exaile/exaile.py
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
gui_search.py:105:add_to_playlist:AttributeError: 'Playlist' object has no attribute 'add_tracks'

Traceback (most recent call last):
  File "/home/alexey/.local/share/exaile/plugins/vk_exaile/gui_search.py", line 105, in add_to_playlist
    playlist_handle.add_tracks(myTrack, None)
AttributeError: 'Playlist' object has no attribute 'add_tracks'

Local variables in innermost frame:
widget: <gtk.ImageMenuItem object at 0x298c2d0 (GtkImageMenuItem at 0x2ad1940)>
myTrack: ['The Expedition (A State Of Trance 600 Anthem) (Orjan Nilsen Remix)' from 'Vkontakte.ru' by 'Armin van Buuren & Markus Schulz']
i: (7,)
start_editing: None
self: <gui_search.MyPanel instance at 0x2986cb0>
tr: 'The Expedition (A State Of Trance 600 Anthem) (Orjan Nilsen Remix)' from 'Vkontakte.ru' by 'Armin van Buuren & Markus Schulz'
mysel: [(7,)]
playlist_handle: <xl.playlist.Playlist object at 0x27d8ad0>
wget: False
model: <gtk.ListStore object at 0x298a9b0 (GtkListStore at 0x2b28d80)>
Comment 1 alexeyalexeevich 2013-06-10 07:29:54 EDT
Created attachment 759157 [details]
File: backtrace
Comment 2 alexeyalexeevich 2013-06-10 07:29:57 EDT
Created attachment 759158 [details]
File: environ
Comment 3 Fedora End Of Life 2013-12-21 08:56:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:45:01 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.